Summary: MOH Sounds for Asterisk, The Open Source PBX
Name: asterisk-sounds-moh
Version: 2.03
Release: 1%{?dist}
License: GPL
Group: Utilities/System
#Source: %{name}-sources-%{version}.tar.gz
Source01: http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-moh-opsound-alaw-%{version}.tar.gz
Source02: http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-moh-opsound-ulaw-%{version}.tar.gz
Source03: http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-moh-opsound-gsm-%{version}.tar.gz
Source04: http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-moh-opsound-g722-%{version}.tar.gz
Source05: http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-moh-opsound-g729-%{version}.tar.gz
Source06: http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-moh-opsound-siren14-%{version}.tar.gz
Source07: http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-moh-opsound-siren7-%{version}.tar.gz
Source08: http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-moh-opsound-sln16-%{version}.tar.gz
Source09: http://downloads.digium.com/pub/telephony/sounds/releases/asterisk-moh-opsound-wav-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
URL: http://www.asterisk.org/
Vendor: Digium, Inc.
Packager: Jason Parker <jparker@digium.com>

%description
Asterisk is an open source PBX and telephony development platform.  Asterisk  
can both replace a conventional PBX and act as a platform for the
development of custom telephony applications for the delivery of dynamic
content over a telephone; similar to how one can deliver dynamic content 
through a web browser using CGI and a web server.

Asterisk supports a variety of telephony hardware including BRI, PRI, POTS,
and IP telephony clients using the Inter-Asterisk eXchange (IAX) protocol (e.g. 
gnophone or miniphone).  For more information and a current list of supported
hardware, see http://www.asterisk.org 


%package ulaw
Summary: Asterisk MOH sounds - moh - ulaw.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package alaw
Summary: Asterisk MOH sounds - moh - alaw.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package gsm
Summary: Asterisk MOH sounds - moh - gsm.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package g722
Summary: Asterisk MOH sounds - moh - g722.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package g729
Summary: Asterisk MOH sounds - moh - g729.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package siren14
Summary: Asterisk MOH sounds - moh - siren14.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package siren7
Summary: Asterisk MOH sounds - moh - siren7.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package sln16
Summary: Asterisk MOH sounds - moh - sln16.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%package wav
Summary: Asterisk MOH sounds - moh - wav.
Group: Utilities/System
Provides: %{name} = %{version}-%{release}

%description ulaw
This package contains Asterisk MOH sounds - moh - ulaw.

%description alaw
This package contains Asterisk MOH sounds - moh - alaw.

%description gsm
This package contains Asterisk MOH sounds - moh - gsm.

%description g722
This package contains Asterisk MOH sounds - moh - g722.

%description g729
This package contains Asterisk MOH sounds - moh - g729.

%description siren14
This package contains Asterisk MOH sounds - moh - siren14.

%description siren7
This package contains Asterisk MOH sounds - moh - siren7.

%description sln16
This package contains Asterisk MOH sounds - moh - sln16.

%description wav
This package contains Asterisk MOH sounds - moh - wav.


%prep


%build


%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/

tar xof %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/.asterisk-moh-opsound-ulaw-%{version}

tar xof %{SOURCE2} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/.asterisk-moh-opsound-alaw-%{version}

tar xof %{SOURCE3} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/.asterisk-moh-opsound-gsm-%{version}

tar xof %{SOURCE4} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/.asterisk-moh-opsound-g722-%{version}

tar xof %{SOURCE5} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/.asterisk-moh-opsound-g729-%{version}

tar xof %{SOURCE6} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/.asterisk-moh-opsound-siren14-%{version}

tar xof %{SOURCE7} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/.asterisk-moh-opsound-siren7-%{version}

tar xof %{SOURCE8} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/.asterisk-moh-opsound-sln16-%{version}

tar xof %{SOURCE9} -C $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/
touch $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/.asterisk-moh-opsound-wav-%{version}

cp $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-alaw $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
cp $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-alaw $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
cp $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-alaw $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
for codec in alaw g722 g729 gsm siren14 siren7 sln16 ulaw wav; do
  rm -f $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-${codec} $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-${codec} $RPM_BUILD_ROOT%{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-${codec}
done

%post


%verifyscript


%clean
cd $RPM_BUILD_DIR
%{__rm} -rf %{name}-%{version} 
%{__rm} -rf %{_localstatedir}/log/%{name}-sources-%{version}-%{release}.make.err
%{__rm} -rf $RPM_BUILD_ROOT


%files ulaw
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/*.ulaw
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/.asterisk-moh-opsound-ulaw-%{version}

%files alaw
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/*.alaw
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/.asterisk-moh-opsound-alaw-%{version}

%files gsm
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/*.gsm
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/.asterisk-moh-opsound-gsm-%{version}

%files g722
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/*.g722
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/.asterisk-moh-opsound-g722-%{version}

%files g729
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/*.g729
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/.asterisk-moh-opsound-g729-%{version}

%files siren14
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/*.siren14
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/.asterisk-moh-opsound-siren14-%{version}

%files siren7
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/*.siren7
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/.asterisk-moh-opsound-siren7-%{version}

%files sln16
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/*.sln16
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/.asterisk-moh-opsound-sln16-%{version}

%files wav
%defattr(-, root, root)
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/*.wav
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CHANGES-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/CREDITS-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/LICENSE-asterisk-moh-opsound-%{version}
%attr(0664,asterisk,asterisk) %{_datadir}/asterisk/moh/.asterisk-moh-opsound-wav-%{version}


%changelog
* Tue Oct 15 2019 Ernani Azevedo <azevedo@voipdomain.io> - 2.03-1
- Upgrade to version 2.03

* Tue Oct 15 2019 Ernani Azevedo <azevedo@voipdomain.io> - 2.02-1
- Upgrade to version 2.02

* Tue Oct 15 2019 Ernani Azevedo <azevedo@voipdomain.io> - 2.01-1
- First version of this script
